<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) DIGITEO - 2009 - Allan CORNET
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="thx_build_gateway_clean"
          xml:lang="en" xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2008-09-19 13:51:04 +0200 $</pubdate>
  </info>

  <refnamediv>
    <refname>tbx_build_gateway_clean</refname>

    <refpurpose>Generate a cleaner_gateway.sce script (toolbox compilation
    process)</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>
  tbx_build_gateway_loader(langs)
  tbx_build_gateway_loader(langs, gateway_path)
    </synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>langs</term>

        <listitem>
          <para>Languages of source files.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>gateway_path</term>

        <listitem>
          <para>Path to the sources of the gateway ; in a normal toolbox it
          should be the directory containing the builder_gateway.sce script
          (which should be the script calling this function). Default is
          current directory.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
// Recommended usage
tbx_build_gateway_clean(['c', 'fortran'], get_absolute_file_path('builder_gateway.sce'))
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Allan CORNET</member>
    </simplelist>
  </refsection>
</refentry>
